<template>
  <div class="container">
    <div class="topBar">
      <img class="myimg" :src="back" @click="goback()"/>
      <span style="align:center">我收藏的图版</span>
    </div>
    <div class="boards">
      <div style="margin-top:85px" />
      <div class="board" v-for="(item,index) in myBoards" v-bind:key="index" @click="onTapBoard(item.id)">
              <div class="title">{{item.title}}</div>
              <div class="content-text">{{item.content}}</div>
              <div class="time">发布于 {{item.gmtCreate}}</div>
      </div>
    </div>
  </div>
</template>

<script>
// import { Toast } from 'vant'
// import axios from 'axios'
import backPng from '@/assets/goback.png'
export default {
  name: 'Index',
  data () {
    return {
      myBoards: [],
      myUserName: '',
      myUserAvatar: '1',
      back: backPng
    }
  },
  created () {

  },
  methods: {
    onTapBoard (id) {
      this.$router.push(`/boardDetail?id=${id}`)
    },
    goback () {
      this.$router.push('/Setting')
    }
  },
  mounted: function () {
    console.log(this.$store.state.userInfo.detail.userId)
    this.$api.getMyFavoriteBoards(this.$store.state.userInfo.detail.userId).then((res) => {
      console.log(res.data.data)
      this.myBoards = res.data.data
      this.$api.userInfo(this.$store.state.userInfo.detail.userId).then((res) => {
        this.myUserName = res.data.data.name
        this.myUserAvatar = res.data.data.profilePhotoUrl
      })
    }).catch((res) => {
      console.log(res)
    })
  }
}
</script>

<style scoped lang="less">
  .container {
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    background: #F7F7F7; 
    .myimg {
        position:fixed;
        top:25px;
        left: 15px;
        height:15px;
        width:10px;
        z-index: -100;
      }
    .topBar {
      position:fixed;
      height:60px;
      width:100%;
      background: #fff;
      box-shadow: 0px 0px 5px 0px #dadada;
      display: flex;
      justify-content: center;
      span{
        line-height: 65px;
        font-size: 16px;
        color:black;
        font-weight:bold;
        display: block;
        justify-content: center
      }
      .center {
        padding: 0 10px;
        margin-top:16px;
        margin-bottom: 16px;
        .name {
          font-size: 19px;
          color: #333333;
          line-height: 30px;
          font-weight: bolder;
          padding-top: 4px;
        }
        .desc {
          font-size: 14px;
          line-height: 20px;
          padding: 2px 0;
          color: #646464;
        }
      }
    }
    .boards {
        padding: 0 14px 20px 14px;
        .board {
          padding: 15px 13px 20px 13px;
          display: flex;
          background-color: white;
          flex-direction: column;
          .title {
            color: #333;
            font-size: 14px;
            font-weight: bold;
            align-self: flex-start;
            margin-bottom: 12px;
          }
          .content-text {
            color: #7c7c7c;
            font-size: 12px;
            align-self: flex-start;
            margin-bottom: 15px;
          }
          .time {
            color: #acacac;
            font-size: 9px;
            align-self: flex-end;
          }
          &:nth-child(1n+2) {
            border-top: 1px #d5d5d5 solid;
          }
        }

      }
    .main {
      margin-left: 3%;
      margin-right: 3%;
      flex: 1;
      overflow: auto;
      margin-top: 102px;
      padding-bottom: 6px;
      .list {
        background: #fff;
        margin-bottom: 20px;
        padding: 16px 4% 20px;
        .above {
          display: flex;
          align-items: center;
          img {
            width: 20px;
            height: 20px;
            border: 1px solid #a9a9a9;
            background: #e8e8e8;
            border-radius: 50%;
          }
          .center {
            flex: 1;
            padding: 0 10px;
            .name {
              font-size: 16px;
              color: #3d3d3d;
              line-height: 30px;
              letter-spacing: 0.08rem;
              font-weight: bolder;
              padding-top: 4px;
            }
            .stat {
              font-size: 14px;
              line-height: 20px;
              padding: 2px 0;
              color: #3170ff;
            }
          }
        }
        .below {
          display: grid;
          margin-top: 10px;
          .detail {
            font-size: 16px;
            color: #7c7c7c;
            letter-spacing: 0.05rem;
            font-weight: lighter;
            margin-bottom: 10px;
          }
          .date {
            font-size: 11px;
            color: #acacac;
            text-align: right;
          }
        }
      }
    }
    .title {
            font-weight: bold;
            font-size: 18px;
            color: #333333;
            letter-spacing: 0.113rem;
            margin-bottom: 17px;
          }
  }
</style>
